Subject: Re: bug#16619: 24.3.50; REGRESSION: transparent *Completions* now

From: martin rudalics <[email-masked]>
Date: Sun, 02 Feb 2014 14:19:11 +0100

> OK, here is a pretty minimal recipe to repro from emacs -Q.
 >
 > Use this as your startup command:
 > runemacs.exe -Q -l "onetest.el" -f "1on1-emacs"
 >
 > And put this in file onetest.el:
 >
 > ----------------8<-----------------
 > (provide 'oneonone)
 > (require 'oneonone)
 >
 > (defvar 1on1-minibuffer-frame-alist
 >   (list
 >    (cons 'font "-*-Lucida Console-normal-r-*-*-14-*-*-*-c-*-iso8859-1"
 >          ;; If use this instead then the problem goes away.
 >          ;; "-Misc-Fixed-Medium-R-Normal--15-*-*-*-C-90-ISO8859-1"
 >          )
 >    (cons 'height 2)
 >    (cons 'minibuffer 'only)))
 >
 > (defun 1on1-emacs ()
 >   ""
 >   (interactive)
 >   (setq default-frame-alist (list (cons 'minibuffer nil)))
 >   (setq pop-up-frames  t)
 >   (setq minibuffer-frame-alist 1on1-minibuffer-frame-alist)
 >   (make-frame 1on1-minibuffer-frame-alist)
 >   (setq minibuffer-auto-raise t)
 >   (setq w32-grab-focus-on-raise nil))
 > ----------------8<-----------------
 >
 > After starting Emacs, do `M-x forw TAB'.  The *Completions*
 > frame is transparent.
 >
 > And if you change the font, per the comment, then the bug
 > goes away.  This is on MS Windows, where I have font Lucida
 > Console installed.

Thanks for the excellent recipe.  I checked in a fix for this in
revision#116242.

I'm afraid that I haven't understood the processing of frame parameters
yet.  All I can do is fixing problems by trial and error.  This
particular bug crept in when I tried to fix Bug#16529.  And Bug#16529
was a consequence of attempting to fix Bug#16051. So if someone wanted
to have a look into this ...

martin